/*

ie = .OLEObject~New("InternetExplorer.Application")
ie~width   = 1600
ie~height  = 900
ie~Visible = .true

ie~Navigate("https://www.kindernetz.de/wissen/tierlexikon/steckbrief-hase-feldhase-100.html")

Call SysSleep 1

doc = ie~document

pElements = doc~getElementsByTagName("p")
text = ""
do i = 0 to pElements~length -1
    pItems = pElements~item(i)
    text = text  || pItems~innerText || '0d0a'x
  --innerer Text zu vorhanden text anhängen/ paragrafe zwischen texte hex
end

ie~Quit

*/













/* URL der Webseite */
url = "https://www.kindernetz.de/wissen/tierlexikon/steckbrief-hase-feldhase-100.html"

/* Name der Ausgabedatei für CURL */
outputFile = "output.html"

/* Befehl für CURL */
command = "curl -s " url " -o " outputFile

/* Ausführen des Befehls */
'cmd /c ' command

/* Öffnen der Ausgabedatei und Lesen des Inhalts */
stream = .stream~new(outputFile)

/* Überprüfen, ob die Datei erfolgreich geöffnet wurde */
if stream \= .nil then do
    /* Initialisierung der Variablen für den extrahierten Text */
    extractedText = ""

    /* Lesen des Inhalts der Datei und Ausgabe des reinen Texts zwischen <p>-Tags */
    do while stream~lines() > 0
        line = stream~linein()

        /* Extrahiere den Text zwischen <p>-Tags */
        do while line~caselessPos("<p>") > 0
            startPos = line~caselessPos("<p>") + 3
            endPos = line~caselessPos("</p>")
            if endPos > startPos then do -- fehler sonst wäre die anordnung nicht korrekt der ptags
                extractedText = extractedText || line~substr(startPos, endPos - startPos) || '0d0a'x      -- startpos, länge
            end
            line = line~substr(endPos + 4)  /* Weiter zur nächsten Zeile */
        end
    end

    /*
    stream~close()
    */
end

/* Ausgabe des extrahierten Texts */
say "Extrahierter Text:"
text = extractedText
say text


/*Öffnet die Seite durch Internet Explorer*/
ie = .OLEObject~New("InternetExplorer.Application")
ie~width   = 1600
ie~height  = 900
ie~Visible = .true

ie~Navigate("https://www.kindernetz.de/wissen/tierlexikon/steckbrief-hase-feldhase-100.html")

Call SysSleep 10
ie~quit


Word = .OLEObject~New("Word.Application")
Word~Visible = .TRUE
WordDocument = Word~Documents~Add
Selection = Word~Selection
Selection~TypeText(text)



/*
PowerPoint = .OLEObject~New("PowerPoint.Application")
PowerPoint~Visible = .TRUE
Presentation = PowerPoint~Presentations~Add
Slide = Presentation~Slides~Add(1, 1)  -- Slide hinzugefügt (1,1) art
Shapes = Slide~Shapes
Textbox = Shapes~AddTextbox(1, 100, 100, 500, 300)  -- Typform textfeld, pos, w,l
Textbox~TextFrame~TextRange~Text = text  -- text in textbox einsetzen
*/




PowerPoint = .OLEObject~New("PowerPoint.Application")
PowerPoint~Visible = .TRUE
Presentation = PowerPoint~Presentations~Add
Slide = Presentation~Slides~Add(1, 1) --Slide als 1. pos hinzugefügt, art der folie

remainingText = text
currentText = ""

/* Schleife, um Text auf Folien einzufügen */
do while remainingText~length > 0
  /* Prüfe, ob eine neue Folie erforderlich ist */
  if currentText~length >= 1 then do
    /* Erstelle eine neue Folie */
    Slide = Presentation~Slides~Add(Presentation~Slides~Count + 1, 1) --start pos eine weiter hinzugefügte folie, art
    /* Setze aktuellen Text zurück */
    currentText = ""
  end

  /* Fügt Text zur aktuellen Folie hinzu */
  if currentText~length = 0 then do
    /* Erstelle eine neue Textbox auf der Folie */
    Shapes = Slide~Shapes
    Textbox = Shapes~AddTextbox(1, 100, 100, 800, 1000)  /* Typform Textfeld, Position x, y, Breite, Höhe */
    TextRange = Textbox~TextFrame~TextRange
  end

  /* Fügt so viel Text wie möglich zur aktuellen Textbox hinzu */
  availableSpace = 1000 - currentText~length
  textToAdd = remainingText~left(availableSpace)
  remainingText = remainingText~substr(availableSpace + 1)
  currentText = currentText || textToAdd

  /* Setzt Text in die aktuelle Textbox */
  TextRange~Text = currentText
end
